DELETE
/v1/orders/{orderId}/tracking/{shipmentId}DELETE /v1/orders/{orderId}/tracking/{shipmentId}
Scopes: orders:tracking:writeorders:shipments:delete
Requires scope: orders:tracking:write, orders:shipments:delete.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
orderId | path | integer<int32> | yes | |
shipmentId | path | integer<int32> | yes | |
voidShipment | query | boolean | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | no | |
message | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.DELETE('/v1/orders/{orderId}/tracking/{shipmentId}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);